#ifndef __PLUGIN_NAME__SOURCEPLUGINFACTORY_H__
#define __PLUGIN_NAME__SOURCEPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class __PLUGIN_NAME__SourcePluginFactory : public QObject, public ritk::SourcePluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::SourcePluginFactory)

public:
	/// Constructor
	__PLUGIN_NAME__SourcePluginFactory();
	/// Destructor
	~__PLUGIN_NAME__SourcePluginFactory();

	/// Create an instance of the player plugin
	ritk::SourcePlugin* CreateInstance();

	/// Return the name of the player plugin
	QString GetName();

	/// Return a short description for this player plugin
	QString GetDescription();
};


#endif // __PLUGIN_NAME__SOURCEPLUGINFACTORY_H__